Package edu.hws.jcm.draw

# Interface DrawTemp

All Superinterfaces:
  `Serializable`

public interface DrawTemp extends Serializable
An object that implements this interface can draw itself, using information from a CoordinateRect (in which it presumably appears). This interface is meant to be used with the method drawTemp() in edu.hws.jcm.draw.DisplayCanvas.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(Graphics g, CoordinateRect coords)`
Draw this item in the specified graphics context, possibly using information from the specified CoordinateRect.

## Method Details

### draw

void draw(Graphics g, CoordinateRect coords)
Draw this item in the specified graphics context, possibly using information from the specified CoordinateRect. Note that the drawTemp() method in class DisplayCanvas creates a new graphics context every time it is called, just for drawing this item.